/*--------------------------------------------------------------------*\
  File:      Application.cpp
  Creator:   Matt Bogosian <mbogosian@usa.net>
  Copyright: (c)1997, 1998, Matt Bogosian. All rights reserved.
  Description: Source file containing the member functions for the
      Application class.
  ID:        $Id: Application.cpp,v 1.23 1998/07/20 05:16:46 mattb Exp $
  Conventions:
      #defines - all uppercase letters with words separated by
          underscores.
          (E.G., #define MY_DEFINE 16).
      New data types (classes, structs, typedefs, etc.) - begin with
          an uppercase letter followed by lowercase words separated by
          uppercase letters.
          (E.G., typedef int MyTypedef;).
      Global constants (declared with const) - begin with "k_"
          followed by lowercase words separated by underscores.
          (E.G., const int k_my_constant(16);).
      Global variables - begin with "g_" followed by lowercase words
          separated by underscores.
          (E.G., int g_my_global;).
      Local variables - begin with a lowercase letter followed by
          lowercase words separated by underscores.
          (E.G., int my_local;).
      Argument variables - begin with "a_" followed by lowercase words
          separated by underscores.
          (E.G., ..., int a_my_argument, ...).
      Functions - begin with a lowercase letter followed by lowercase
          words separated by uppercase letters.
          (E.G., void myFunction(void);).
      Static member constants (declared with const) - begin with "mk_"
          followed by lowercase words separated by underscores.
          (E.G., static const int MyClass::mk_my_constant(16);).
      Static member variables - begin with "mg_" followed by lowercase
          words separated by underscores.
          (E.G., static int MyClass::mg_my_global(16);).
      Member variables - begin with "m_" followed by lowercase words
          separated by underscores.
          (E.G., int m_my_member;).
      Member Functions - begin with an uppercase letter followed by
          lowercase words separated by uppercase letters.
          (E.G., void MyClass::MyFunction(void);).
\*--------------------------------------------------------------------*/


/*--------------------------------------------------------------------*\
  =-=-=-=-=-=-=-=-=-=-=-=-=- Included Files -=-=-=-=-=-=-=-=-=-=-=-=-=
\*--------------------------------------------------------------------*/

#include "Application.h"
#include "PMain.h"
#include "Window.h"
#include <Alert.h>


/*--------------------------------------------------------------------*\
  =-=-=-=-=-=-=-=-=-=-=-= Function Definitions =-=-=-=-=-=-=-=-=-=-=-=
\*--------------------------------------------------------------------*/

//====================================================================
Application::Application(void) :
//====================================================================
	Inherited("application/x-vnd.StressDynamics-FontMenuDemo")
{
	;
}

//====================================================================
Application::~Application(void)
//====================================================================
{
	;
}

//====================================================================
void Application::ReadyToRun(void)
//====================================================================
{
	Window *win;
	BRect rect;

	// Set up a rectangle and instantiate a new window
	rect.Set(0, 0, 600, 120);
	rect.OffsetTo(20, 150);
	
	// Check for an allocation or an instantiation error
	if ((win = new Window(rect, "Slurp!")) == NULL
		|| win->Status() != B_NO_ERROR)
	{
		delete win;
		BAlert *alert;
		
		// Check for an allocation error
		if ((alert = new BAlert("No Memory", "There is not enough memory to continue.", "Rats", NULL, NULL, B_WIDTH_AS_USUAL, B_STOP_ALERT)) == NULL)
		{
			PMain::Err(true, "no more memory\n");
		}
		else
		{
			alert->Go();
		}
		
		// Try to post a quit request
		if (PostMessage(B_QUIT_REQUESTED) != B_NO_ERROR)
		{
			PMain::Exit(PMain::mk_exit_code_no_memory);
		}
	}
	else
	{
		win->Show();
	}
}
