/*--------------------------------------------------------------------*\
  File:      Application.h
  Creator:   Matt Bogosian <mbogosian@usa.net>
  Copyright: (c)1997, 1998, Matt Bogosian. All rights reserved.
  Description: Header file describing the Application class.
  ID:        $Id: Application.h,v 1.20 1998/07/20 05:16:46 mattb Exp $
  Conventions:
      #defines - all uppercase letters with words separated by
          underscores.
          (E.G., #define MY_DEFINE 16).
      New data types (classes, structs, typedefs, etc.) - begin with
          an uppercase letter followed by lowercase words separated by
          uppercase letters.
          (E.G., typedef int MyTypedef;).
      Global constants (declared with const) - begin with "k_"
          followed by lowercase words separated by underscores.
          (E.G., const int k_my_constant(16);).
      Global variables - begin with "g_" followed by lowercase words
          separated by underscores.
          (E.G., int g_my_global;).
      Local variables - begin with a lowercase letter followed by
          lowercase words separated by underscores.
          (E.G., int my_local;).
      Argument variables - begin with "a_" followed by lowercase words
          separated by underscores.
          (E.G., ..., int a_my_argument, ...).
      Functions - begin with a lowercase letter followed by lowercase
          words separated by uppercase letters.
          (E.G., void myFunction(void);).
      Static member constants (declared with const) - begin with "mk_"
          followed by lowercase words separated by underscores.
          (E.G., static const int MyClass::mk_my_constant(16);).
      Static member variables - begin with "mg_" followed by lowercase
          words separated by underscores.
          (E.G., static int MyClass::mg_my_global(16);).
      Member variables - begin with "m_" followed by lowercase words
          separated by underscores.
          (E.G., int m_my_member;).
      Member Functions - begin with an uppercase letter followed by
          lowercase words separated by uppercase letters.
          (E.G., void MyClass::MyFunction(void);).
\*--------------------------------------------------------------------*/


/*--------------------------------------------------------------------*\
  =-=-=-=-=-=-=-=-=-=-=-=-=- Included Files -=-=-=-=-=-=-=-=-=-=-=-=-=
\*--------------------------------------------------------------------*/

#include <Application.h>


#ifndef APPLICATION_H
#define APPLICATION_H


/*--------------------------------------------------------------------*\
  =-=-=-=-=-=-=-=-=-=-=-=-= Structs, Classes =-=-=-=-=-=-=-=-=-=-=-=-=
\*--------------------------------------------------------------------*/

/*--------------------------------------------------------------------*\
  Class name:       Application
  Inherits from:    public BApplication
  New data members: none
  Description: Class to implement an application which shows one
      window.
\*--------------------------------------------------------------------*/

class Application : public BApplication
{
	public:
	
		// Public member functions
		
/*--------------------------------------------------------------------*\
  Function name: Application
  Member of:     public Application
  Defined in:    Application.cpp
  Arguments:     none
  Throws:        none
  Description: Default class constructor.
\*--------------------------------------------------------------------*/
		
		Application(void);
		
/*--------------------------------------------------------------------*\
  Function name: virtual ~Application
  Member of:     public Application
  Defined in:    Application.cpp
  Arguments:     none
  Throws:        none
  Description: Class destructor.
\*--------------------------------------------------------------------*/
		
		virtual ~Application(void);
		
/*--------------------------------------------------------------------*\
  Function name: virtual ReadyToRun
  Member of:     public Application
  Defined in:    Application.cpp
  Arguments:     none
  Returns:       none
  Description: Derived hook function.
\*--------------------------------------------------------------------*/
		
		virtual void ReadyToRun(void);
	
	private:
	
		typedef BApplication Inherited;
};


#endif    // APPLICATION_H
